#pragma rtGlobals=1		// Use modern global access method.






Function DDXModelFASTLoadFile(fname,scale)
	String fname
	Variable scale
	loadGenericSCLFileSP4BHBF(fname)
	if(scale == 1)
		DDXModelFASTRenameScale("wave")
	endif
End//DDXModelFASTLoadFile

Function DDXModelFASTRenameScale(waveprefix)
	String waveprefix
	Variable FastSampleRate = 3651.4837
	Variable FastDeltaT = 1/FastSampleRate

	skr(waveprefix+"0",203.1,FastDeltaT,"G22")
	skr(waveprefix+"1",191.5,FastDeltaT,"G01")
	skr(waveprefix+"2",239.8,FastDeltaT,"G21")
	skr(waveprefix+"3",209.5,FastDeltaT,"G02")
	skr(waveprefix+"4",211.7,FastDeltaT,"G03")
End//DDXModelFASTRenameScale






Function DDXModelMEDIUMLoadFile(fname,scale)
	String fname
	variable scale
	loadGenericSCLFileSP4BHBF(fname)
	if(scale == 1)
		DDXModelMEDIUMRenameScale("wave")
	endif
End//DDXModelMEDIUMLoadFile


Function DDXModelMEDIUMRenameScale(waveprefix)
	String waveprefix
	Variable MediumSampleRate = 912.8709
	Variable MediumDeltaT = 1/MediumSampleRate

	skr(waveprefix+"0",12.56,MediumDeltaT,"Sta 11 Lip 3")
	skr(waveprefix+"1",12.56,MediumDeltaT,"Sta 15 Lip 4")
	skr(waveprefix+"2",12.56,MediumDeltaT,"Sta 18 Lip 5")
	skr(waveprefix+"3",12.56,MediumDeltaT,"Transom Lip 4")
	skr(waveprefix+"4",212.078,MediumDeltaT,"P26 Keel Aft Sta 19.75")
	skr(waveprefix+"5",212.078,MediumDeltaT,"P25 Transom")
	skr(waveprefix+"6",212.078,MediumDeltaT,"P23 Transom Deck Edge")
	skr(waveprefix+"7",12.56,MediumDeltaT,"Sta 2 Lip 1")
	skr(waveprefix+"8",12.56,MediumDeltaT,"Sta 5 Lip 2")
	skr(waveprefix+"9",212.078,MediumDeltaT,"P18 Sta 5.75 Side Hull")
	skr(waveprefix+"10",212.078,MediumDeltaT,"P15 Sta 2 Side Hull")
	skr(waveprefix+"11",212.078,MediumDeltaT,"P20 Sta 0 Above Sonar")
	skr(waveprefix+"12",212.078,MediumDeltaT,"AGS Top")
	skr(waveprefix+"13",212.078,MediumDeltaT,"AGS Prt")
	skr(waveprefix+"14",212.078,MediumDeltaT,"P10 Low Prt Dk Hse")
	skr(waveprefix+"15",212.078,MediumDeltaT,"P7 Face Low Dk Hse")
	skr(waveprefix+"16",212.078,MediumDeltaT,"P5 Face High Dk Hse")
	skr(waveprefix+"17",212.078,MediumDeltaT,"P6 Face Mid Dk Hse")
	skr(waveprefix+"18",212.078,MediumDeltaT,"P8 High Prt Dk Hse")
	skr(waveprefix+"19",212.078,MediumDeltaT,"P9 Mid Prt Dk Hse")
	skr(waveprefix+"20",212.078,MediumDeltaT,"P3 ForeDk Sta 5.5")
	skr(waveprefix+"21",212.078,MediumDeltaT,"P4 ForeDk Sta 8")
End//DDXModelMEDIUMRenameScale








Function DDXModelBDSLOWLoadFile(fname,scale)
	String fname
	variable scale
	loadGenericSCLFileSP4BHBF(fname)
	if(scale == 1)
		DDXModelBDSLOWRenameScale("wave")
	endif
End//DDXModelBDSLOWLoadFile

Function DDXModelBDSLOWRenameScale(waveprefix)
	String waveprefix
	Variable SlowSampleRate = 36.5148
	Variable SlowDeltaT = 1/SlowSampleRate

	skr(waveprefix+"0",9.5711,SlowDeltaT,"Vert Bnd Sta 4")
	skr(waveprefix+"1",9.5711,SlowDeltaT,"Lat Bnd Sta 4")
	skr(waveprefix+"2",12.56,SlowDeltaT,"Lat Shear Sta 4")
	skr(waveprefix+"3",12.56,SlowDeltaT,"Vert Shear Sta 4")
	skr(waveprefix+"4",9.5711,SlowDeltaT,"Torsion Sta 4")
	skr(waveprefix+"5",9.5711,SlowDeltaT,"Torsion Sta 7")
	skr(waveprefix+"6",9.5711,SlowDeltaT,"Lat Bnd Sta 7")
	skr(waveprefix+"7",12.56,SlowDeltaT,"Vert Shear Sta 7")
	skr(waveprefix+"8",9.5711,SlowDeltaT,"Vert Bnd Sta 7")
	skr(waveprefix+"9",12.56,SlowDeltaT,"Lat Shear Sta 7")
	skr(waveprefix+"10",9.5711,SlowDeltaT,"Vert Bnd Sta 10")
	skr(waveprefix+"11",9.5711,SlowDeltaT,"Lat Bnd Sta 10")
	skr(waveprefix+"12",12.56,SlowDeltaT,"Vert Shear Sta 10")
	skr(waveprefix+"13",12.56,SlowDeltaT,"Lat Shear Sta 10")
	skr(waveprefix+"14",9.5711,SlowDeltaT,"Torsion Sta 10")
	skr(waveprefix+"15",9.5711,SlowDeltaT,"Vert Bnd Sta 13")
	skr(waveprefix+"16",9.5711,SlowDeltaT,"Lat Bnd Sta 13")
	skr(waveprefix+"17",12.56,SlowDeltaT,"Vert Shear Sta 13")
	skr(waveprefix+"18",12.56,SlowDeltaT,"Lat Shear Sta 13")
	skr(waveprefix+"19",9.5711,SlowDeltaT,"Torsion Sta 13")
	skr(waveprefix+"20",9.5711,SlowDeltaT,"Vert Bnd Sta 16.5")
	skr(waveprefix+"21",9.5711,SlowDeltaT,"Lat Bnd Sta 16.5")
	skr(waveprefix+"22",12.56,SlowDeltaT,"Vert Shear Sta 16.5")
	skr(waveprefix+"23",12.56,SlowDeltaT,"Lat Shear Sta 16.5")
	skr(waveprefix+"24",1,SlowDeltaT,"Tow Bar FWD")
	skr(waveprefix+"25",9.5711,SlowDeltaT,"Torsion Sta 16.5")
	skr(waveprefix+"26",1,SlowDeltaT,"Tow Bar AFT")
	skr(waveprefix+"27",0.762,SlowDeltaT,waveprefix+" Ht West")
	skr(waveprefix+"28",0.762,SlowDeltaT,waveprefix+" Ht North")
	skr(waveprefix+"29",0.762,SlowDeltaT,waveprefix+" Ht South")
	skr(waveprefix+"30",1,SlowDeltaT,"Carriage Speed")
End//DDXModelBDSLOWRenameScale





Function DDXModelFLDSLOWLoadFile(fname,scale)
	String fname
	variable scale
	loadGenericSCLFileSP4BHBF(fname)
	if(scale == 1)
		DDXModelFLDSLOWRenameScale("wave")
	endif
End//DDXModelFLDSLOWLoadFile

Function DDXModelFLDSLOWRenameScale(waveprefix)
	String waveprefix
	Variable SlowSampleRate = 36.5148
	Variable SlowDeltaT = 1/SlowSampleRate

	skr(waveprefix+"0",9.5711,SlowDeltaT,"Vert Bnd Sta 4")
	skr(waveprefix+"1",9.5711,SlowDeltaT,"Lat Bnd Sta 4")
	skr(waveprefix+"2",12.56,SlowDeltaT,"Lat Shear Sta 4")
	skr(waveprefix+"3",12.56,SlowDeltaT,"Vert Shear Sta 4")
	skr(waveprefix+"4",9.5711,SlowDeltaT,"Torsion Sta 4")
	skr(waveprefix+"5",9.5711,SlowDeltaT,"Torsion Sta 7")
	skr(waveprefix+"6",9.5711,SlowDeltaT,"Lat Bnd Sta 7")
	skr(waveprefix+"7",12.56,SlowDeltaT,"Vert Shear Sta 7")
	skr(waveprefix+"8",9.5711,SlowDeltaT,"Vert Bnd Sta 7")
	skr(waveprefix+"9",12.56,SlowDeltaT,"Lat Shear Sta 7")
	skr(waveprefix+"10",9.5711,SlowDeltaT,"Vert Bnd Sta 10")
	skr(waveprefix+"11",9.5711,SlowDeltaT,"Lat Bnd Sta 10")
	skr(waveprefix+"12",12.56,SlowDeltaT,"Vert Shear Sta 10")
	skr(waveprefix+"13",12.56,SlowDeltaT,"Lat Shear Sta 10")
	skr(waveprefix+"14",9.5711,SlowDeltaT,"Torsion Sta 10")
	skr(waveprefix+"15",9.5711,SlowDeltaT,"Vert Bnd Sta 13")
	skr(waveprefix+"16",9.5711,SlowDeltaT,"Lat Bnd Sta 13")
	skr(waveprefix+"17",12.56,SlowDeltaT,"Vert Shear Sta 13")
	skr(waveprefix+"18",12.56,SlowDeltaT,"Lat Shear Sta 13")
	skr(waveprefix+"19",9.5711,SlowDeltaT,"Torsion Sta 13")
	skr(waveprefix+"20",9.5711,SlowDeltaT,"Vert Bnd Sta 16.5")
	skr(waveprefix+"21",9.5711,SlowDeltaT,"Lat Bnd Sta 16.5")
	skr(waveprefix+"22",12.56,SlowDeltaT,"Vert Shear Sta 16.5")
	skr(waveprefix+"23",12.56,SlowDeltaT,"Lat Shear Sta 16.5")
	skr(waveprefix+"24",1,SlowDeltaT,"Tow Bar FWD")
	skr(waveprefix+"25",9.5711,SlowDeltaT,"Torsion Sta 16.5")
	skr(waveprefix+"26",1,SlowDeltaT,"Tow Bar AFT")
	skr(waveprefix+"27",0.762,SlowDeltaT,waveprefix+" Ht West")
	skr(waveprefix+"28",0.762,SlowDeltaT,waveprefix+" Ht North")
	skr(waveprefix+"29",0.762,SlowDeltaT,waveprefix+" Ht South")
	skr(waveprefix+"30",1,SlowDeltaT,"Carriage Speed")
	skr(waveprefix+"31",1,SlowDeltaT,"Roll Angle")
	skr(waveprefix+"32",1,SlowDeltaT,"Pitch Angle")
	skr(waveprefix+"33",1,SlowDeltaT,"CG Vert Acc")
	skr(waveprefix+"34",1,SlowDeltaT,"CG Lat Acc")
	skr(waveprefix+"35",1,SlowDeltaT,"Vert Bow Acc")
	skr(waveprefix+"36",1,SlowDeltaT,"Lat Bow Acc")
	skr(waveprefix+"37",1,SlowDeltaT,"Stern Vert Acc")
	skr(waveprefix+"38",1,SlowDeltaT,"Stern Lat Acc")
End//DDXModelFLDSLOWRenameScale











Function DDXModelHYDROLoadFile(fname,scale)
	string fname
	variable scale
	if(scale == 1)
		DDXModelHYDRORenameScale("wave")
	endif
End//DDXModelFASTLoadFile


Function DDXModelHYDRORenameScale(waveprefix)
	String waveprefix
	Variable HydroSampleRate = 4.3817
	Variable HydroDeltaT = 1/HydroSampleRate
End//DDXModelHYDRORenameScale










//this function was written for Bill Richardson to help
//break runs into quarters and concatenate them together
//He was trying to quantify any recurring trend
//between the beginning of a run and the end of a run
//in the MASK or Tow Tank.
//functions are faster than macros
//functions can be inserted into the macros menu though
Function BWIQAC(wname)
	String wname //stores the selected wave name
	if(stringmatch( wname, ""))//check to see if we are calling this from the macro menu
		Prompt wname,"wave",popup,WaveList("*", ";", "") //promps from waves in the working data folder
		DoPrompt "wave",wname //creates the prompt window
		if (V_Flag)
			return 0	// check if user canceled
		endif
	endif

	variable scans = numpnts($wname) //get the number of scans from the selected wave
	variable qtr = trunc(scans/4) //calculate the integer number of scans that is 1/4
	
	//create new waves for each quarter of the run
	string q1 = wname+"_q1"
	string q2 = wname+"_q2"
	string q3 = wname+"_q3"
	string q4 = wname+"_q4"
	duplicate /O/R=(0,qtr) $wname, $q1
	duplicate /O/R=(qtr,qtr*2) $wname, $q2
	duplicate /O/R=(qtr*2,qtr*3) $wname, $q3
	duplicate /O/R=(qtr*3,qtr*4) $wname, $q4
	
	//create empty waves for concatenation
	string q1total = wname+"_q1total"
	string q2total = wname+"_q2total"
	string q3total = wname+"_q3total"
	string q4total = wname+"_q4total"
	if(!waveexists($q1total))
		make /N=0 $q1total
	endif
	if(!waveexists($q2total))
		make /N=0 $q2total
	endif
	if(!waveexists($q3total))
		make /N=0 $q3total
	endif
	if(!waveexists($q4total))
		make /N=0 $q4total
	endif
	
	//add data points to the totals for the current quarter run
	redimension /N=(numpnts($q1total)+numpnts($q1)) $q1total
	redimension /N=(numpnts($q2total)+numpnts($q2)) $q2total
	redimension /N=(numpnts($q3total)+numpnts($q3)) $q3total
	redimension /N=(numpnts($q4total)+numpnts($q4)) $q4total
	
	//temporary named wave to get around variable string indexing
	if(!waveexists(tempqtotal))
		make /N=0 tempqtotal
	endif
	if(!waveexists(tempq))
		make /N=0 tempq
	endif
	
	//actually insert the data
	duplicate /O $q1total, tempqtotal
	duplicate /O $q1, tempq
	tempqtotal[numpnts(tempqtotal)-numpnts(tempq),numpnts(tempqtotal)] = tempq[p-(numpnts(tempqtotal)-numpnts(tempq))]
	duplicate /O tempqtotal, $q1total
	
	duplicate /O $q2total, tempqtotal
	duplicate /O $q2, tempq
	tempqtotal[numpnts(tempqtotal)-numpnts(tempq),numpnts(tempqtotal)] = tempq[p-(numpnts(tempqtotal)-numpnts(tempq))]
	duplicate /O tempqtotal, $q2total
	
	duplicate /O $q3total, tempqtotal
	duplicate /O $q3, tempq
	tempqtotal[numpnts(tempqtotal)-numpnts(tempq),numpnts(tempqtotal)] = tempq[p-(numpnts(tempqtotal)-numpnts(tempq))]
	duplicate /O tempqtotal, $q3total
	
	duplicate /O $q4total, tempqtotal
	duplicate /O $q4, tempq
	tempqtotal[numpnts(tempqtotal)-numpnts(tempq),numpnts(tempqtotal)] = tempq[p-(numpnts(tempqtotal)-numpnts(tempq))]
	duplicate /O tempqtotal, $q4total
	

	
End//end bwiqac


