#pragma rtGlobals=1		// Use modern global access method.







//void1
Function INLS2LoadFileVoid1(fname,scale)
	String fname
	Variable scale
	loadScrewedUpSCLFileSP4BHBF(fname)
	if(scale == 1)
		INLS2RenameScaleVoid1("wave")
	endif
End//INLSLoadFile

//void1
Function INLS2RenameScaleVoid1(waveprefix)
	String waveprefix
	Variable FastSampleRate = 200
	Variable FastDeltaT = 1/FastSampleRate

skr(waveprefix+"0",1,FastDeltaT,"Time#1")
skr(waveprefix+"1",191005,FastDeltaT,"SC2_Fwd Top_V2")
skr(waveprefix+"2",191005,FastDeltaT,"SC2_Fwd Top_D2")
skr(waveprefix+"3",191005,FastDeltaT,"SC2_Fwd Top_H2")
skr(waveprefix+"4",191005,FastDeltaT,"SC2_Fwd Bottom_H2")
skr(waveprefix+"5",191005,FastDeltaT,"SC2_Fwd Bottom_D2")
skr(waveprefix+"6",191005,FastDeltaT,"SC2_Fwd Bottom_V2")
skr(waveprefix+"7",95502.5,FastDeltaT,"SC2_Fwd Shear")
skr(waveprefix+"8",95502.5,FastDeltaT,"SC4_Fwd Shear")
skr(waveprefix+"9",191005,FastDeltaT,"SC4_Fwd Top_H4")
skr(waveprefix+"10",191005,FastDeltaT,"SC4_Fwd Top_D4")
skr(waveprefix+"11",191005,FastDeltaT,"SC4_Fwd Top_V4")
skr(waveprefix+"12",191005,FastDeltaT,"SC4_Fwd Bottom_V4")
skr(waveprefix+"13",191005,FastDeltaT,"SC4_Fwd Bottom_D4")
skr(waveprefix+"14",191005,FastDeltaT,"SC4_Fwd Bottom_H4")
skr(waveprefix+"15",191005,FastDeltaT,"MC Shear_Long")
skr(waveprefix+"16",191005,FastDeltaT,"MC Shear_Dia")
skr(waveprefix+"17",191005,FastDeltaT,"MC Shear_Vert")
skr(waveprefix+"18",95502.5,FastDeltaT,"Headlog Torsion")
skr(waveprefix+"19",191005,FastDeltaT,"CH4 From Box1")


End//INLSenameScale







//void1
Function INLS2LoadFileVoid2(fname,scale)
	String fname
	Variable scale
	loadScrewedUpSCLFileSP4BHBF(fname)
	if(scale == 1)
		INLS2RenameScaleVoid2("wave")
	endif
End//INLSLoadFile

//void1
Function INLS2RenameScaleVoid2(waveprefix)
	String waveprefix
	Variable FastSampleRate = 200
	Variable FastDeltaT = 1/FastSampleRate

skr(waveprefix+"0",1,FastDeltaT,"Time2")
skr(waveprefix+"1",191005,FastDeltaT,"SC1_Fwd Top_V1")
skr(waveprefix+"2",191005,FastDeltaT,"SC1_Fwd Top_D1")
skr(waveprefix+"3",191005,FastDeltaT,"SC1_Fwd Top_H1")
skr(waveprefix+"4",191005,FastDeltaT,"SC1_Fwd Bottom_V1")
skr(waveprefix+"5",191005,FastDeltaT,"SC1_Fwd Bottom_D1")
skr(waveprefix+"6",191005,FastDeltaT,"SC1_Fwd Bottom_H1")
skr(waveprefix+"7",95502.5,FastDeltaT,"SC1_Fwd Shear")
skr(waveprefix+"8",95502.5,FastDeltaT,"SC2_Aft Shear")
skr(waveprefix+"9",191005,FastDeltaT,"SC2_Aft Top_H2")
skr(waveprefix+"10",191005,FastDeltaT,"SC2_Aft Top_D2")
skr(waveprefix+"11",191005,FastDeltaT,"SC2_Aft Top_V2")
skr(waveprefix+"12",191005,FastDeltaT,"SC2_Aft Bottom_V2")
skr(waveprefix+"13",191005,FastDeltaT,"SC2_Aft Bottom_D2")
skr(waveprefix+"14",191005,FastDeltaT,"SC2_Aft Bottom_H2")
skr(waveprefix+"15",191005,FastDeltaT,"SC3_Fwd Top_H3")
skr(waveprefix+"16",191005,FastDeltaT,"SC3_Fwd Top_D3")
skr(waveprefix+"17",191005,FastDeltaT,"SC3_Fwd Top_V3")
skr(waveprefix+"18",191005,FastDeltaT,"SC3_Fwd Bottom_V3")
skr(waveprefix+"19",191005,FastDeltaT,"SC3_Fwd Bottom_D3")
skr(waveprefix+"20",191005,FastDeltaT,"SC3_Fwd Bottom_H3")
skr(waveprefix+"21",95502.5,FastDeltaT,"SC3_Fwd Shear")
skr(waveprefix+"22",191005,FastDeltaT,"SC4_Aft Top_V4")
skr(waveprefix+"23",191005,FastDeltaT,"SC4_Aft Top_D4")
skr(waveprefix+"24",191005,FastDeltaT,"SC4_Aft Top_H4")
skr(waveprefix+"25",191005,FastDeltaT,"SC4_Aft Bottom_V4")
skr(waveprefix+"26",191005,FastDeltaT,"SC4_Aft Bottom_D4")
skr(waveprefix+"27",191005,FastDeltaT,"SC4_Aft Bottom_H4")
skr(waveprefix+"28",95502.5,FastDeltaT,"SC4_Aft Shear")
skr(waveprefix+"29",13200000,FastDeltaT,"Fwd_Port_Flex_1")
skr(waveprefix+"30",13200000,FastDeltaT,"Fwd_Port_Flex_2")
skr(waveprefix+"31",95502.5,FastDeltaT,"CH4 From Box1")


End//INLSenameScale






//void1
Function INLS2LoadFileVoid3(fname,scale)
	String fname
	Variable scale
	loadScrewedUpSCLFileSP4BHBF(fname)
	if(scale == 1)
		INLS2RenameScaleVoid3("wave")
	endif
End//INLSLoadFile

//void1
Function INLS2RenameScaleVoid3(waveprefix)
	String waveprefix
	Variable FastSampleRate = 200
	Variable FastDeltaT = 1/FastSampleRate

skr(waveprefix+"0",1,FastDeltaT,"Time3")
skr(waveprefix+"1",1376191025,FastDeltaT,"Vertical Bending")
skr(waveprefix+"2",2467163833.75,FastDeltaT,"Lateral Bending")
skr(waveprefix+"3",47751.25,FastDeltaT,"Vertical Shear")
skr(waveprefix+"4",95502.5,FastDeltaT,"SC1_Aft Shear")
skr(waveprefix+"5",95502.5,FastDeltaT,"SC3_Aft Shear")
skr(waveprefix+"6",191005,FastDeltaT,"SC1_Aft Top_H1")
skr(waveprefix+"7",191005,FastDeltaT,"SC1_Aft Top_D1")
skr(waveprefix+"8",191005,FastDeltaT,"SC1_Aft Top_V1")
skr(waveprefix+"9",191005,FastDeltaT,"SC1_Aft Bottom_V1")
skr(waveprefix+"10",191005,FastDeltaT,"SC1_Aft Bottom_D1")
skr(waveprefix+"11",191005,FastDeltaT,"SC1_Aft Bottom_H1")
skr(waveprefix+"12",191005,FastDeltaT,"SC3_Aft Top_V1")
skr(waveprefix+"13",191005,FastDeltaT,"SC3_Aft Top_D1")
skr(waveprefix+"14",191005,FastDeltaT,"SC3_Aft Top_H1")
skr(waveprefix+"15",191005,FastDeltaT,"SC3_Aft Bottom_H1")
skr(waveprefix+"16",191005,FastDeltaT,"SC3_Aft Bottom_D1")
skr(waveprefix+"17",191005,FastDeltaT,"SC3_Aft Bottom_V1")
skr(waveprefix+"18",13200000,FastDeltaT,"Fwd_Stbd_Flex_1")



End//INLSenameScale





























//69 channels
Function INLSLoadFile(fname,scale)
	String fname
	Variable scale
	loadGenericSCLFileSP4BHBF(fname)
	if(scale == 1)
		INLSRenameScale("wave")
	endif
End//INLSLoadFile

//69 channels
Function INLSRenameScale(waveprefix)
	String waveprefix
	Variable FastSampleRate = 200
	Variable FastDeltaT = 1/FastSampleRate

	skr(waveprefix+"0",1,FastDeltaT,"LONG_BENDING")
	skr(waveprefix+"1",1,FastDeltaT,"TRANS_BENDING")
	skr(waveprefix+"2",1,FastDeltaT,"VERTICAL_SHEAR")
	skr(waveprefix+"3",1,FastDeltaT,"TORSION")
	skr(waveprefix+"4",1,FastDeltaT,"PATCH_7_5LONG")
	skr(waveprefix+"5",1,FastDeltaT,"PATCH_8_5_LONG")
	skr(waveprefix+"6",1,FastDeltaT,"PATCH_8_0_TRANS")
	skr(waveprefix+"7",1,FastDeltaT,"PATCH_7_5_TRANS")
	skr(waveprefix+"8",1,FastDeltaT,"WAVE_SLAP_2FT_UP")
	skr(waveprefix+"9",1,FastDeltaT,"WAVE_SLAP_3FT_UP")
	skr(waveprefix+"10",1,FastDeltaT,"TUG_PUSH_8")
	skr(waveprefix+"11",1,FastDeltaT,"VERTICAL_SHEAR_FR_0")
	skr(waveprefix+"12",1,FastDeltaT,"VER_64IN_STBD")
	skr(waveprefix+"13",1,FastDeltaT,"DEG45_64IN_STBD")
	skr(waveprefix+"14",1,FastDeltaT,"HOR_64IN_STBD")
	skr(waveprefix+"15",1,FastDeltaT,"VERT_48IN_STBD")
	skr(waveprefix+"16",1,FastDeltaT,"DEG45_48IN_STBD")
	skr(waveprefix+"17",1,FastDeltaT,"HOR_48IN_STBD")
	skr(waveprefix+"18",1,FastDeltaT,"VERT_32IN_STBD")
	skr(waveprefix+"19",1,FastDeltaT,"DEG45_32IN_STBD")
	skr(waveprefix+"20",1,FastDeltaT,"HOR_32IN_STBD")
	skr(waveprefix+"21",1,FastDeltaT,"VERT_32IN_PORT")
	skr(waveprefix+"22",1,FastDeltaT,"DEG45_32IN_PORT")
	skr(waveprefix+"23",1,FastDeltaT,"HOR_32_IN_PORT")
	skr(waveprefix+"24",1,FastDeltaT,"VERT_48IN_PORT")
	skr(waveprefix+"25",1,FastDeltaT,"DEG45_48IN_PORT")
	skr(waveprefix+"26",1,FastDeltaT,"HOR_48IN_PORT")
	skr(waveprefix+"27",1,FastDeltaT,"VER_64IN_PORT")
	skr(waveprefix+"28",1,FastDeltaT,"DEG45_64IN_PORT")
	skr(waveprefix+"29",1,FastDeltaT,"HOR_64IN_PORT")
	skr(waveprefix+"30",1,FastDeltaT,"FLEX_CNR_LONG_STBD")
	skr(waveprefix+"31",1,FastDeltaT,"FLEX_CNR_DEG45_STBD")
	skr(waveprefix+"32",1,FastDeltaT,"FLEX_CNR_TRANS_STBD")
	skr(waveprefix+"33",1,FastDeltaT,"FLEX_3IN_LONG_STBD")
	skr(waveprefix+"34",1,FastDeltaT,"FLEX_3IN_DEG45_STBD")
	skr(waveprefix+"35",1,FastDeltaT,"FLEX_3IN_TRANS_STBD")
	skr(waveprefix+"36",1,FastDeltaT,"FLEX_CNR_LONG_PORT")
	skr(waveprefix+"37",1,FastDeltaT,"FLEX_CNR_DEG45_PORT")
	skr(waveprefix+"38",1,FastDeltaT,"FLEX_CNR_TRANS_PORT")
	skr(waveprefix+"39",1,FastDeltaT,"FLEX_3IN_LONG_PORT")
	skr(waveprefix+"40",1,FastDeltaT,"FLEX_3IN_DEG45_PORT")
	skr(waveprefix+"41",1,FastDeltaT,"FLEX_3IN_TRANS_PORT")
	skr(waveprefix+"42",1,FastDeltaT,"FLEXOR_PORT_FWD_1")
	skr(waveprefix+"43",1,FastDeltaT,"FLEXOR_PORT_FWD_2")
	skr(waveprefix+"44",1,FastDeltaT,"FLEXOR_STBD_FWD_1")
	skr(waveprefix+"45",1,FastDeltaT,"FLEXOR_STBD_FWD_2")
	skr(waveprefix+"46",1,FastDeltaT,"FLEXOR_PORT_AFT_1")
	skr(waveprefix+"47",1,FastDeltaT,"FLEXOR_PORT_AFT_2")
	skr(waveprefix+"48",1,FastDeltaT,"FLEXOR_STBD_AFT_1")
	skr(waveprefix+"49",1,FastDeltaT,"FLEXOR_STBD_AFT_2")
	skr(waveprefix+"50",1,FastDeltaT,"POWER_MODULE_ROLL")
	skr(waveprefix+"51",1,FastDeltaT,"POWER_MODULE_PITCH")
	skr(waveprefix+"52",1,FastDeltaT,"POWER_MODULE_VERT")
	skr(waveprefix+"53",1,FastDeltaT,"POWER_MODULE_LONG")
	skr(waveprefix+"54",1,FastDeltaT,"POWER_MODULE_TRAN")
	skr(waveprefix+"55",1,FastDeltaT,"PILOT_HOUSE_VERT")
	skr(waveprefix+"56",1,FastDeltaT,"PILOT_HOUSE_LONG")
	skr(waveprefix+"57",1,FastDeltaT,"PILOT_HOUSE_TRAN")
	skr(waveprefix+"58",1,FastDeltaT,"INTER_MODULE_ROLL")
	skr(waveprefix+"59",1,FastDeltaT,"INTER_MODULE_PITCH")
	skr(waveprefix+"60",1,FastDeltaT,"INTER_MODULE_VERT")
	skr(waveprefix+"61",1,FastDeltaT,"INTER_MODULE_LONG")
	skr(waveprefix+"62",1,FastDeltaT,"INTER_MODULE_TRAN")
	skr(waveprefix+"63",1,FastDeltaT,"BEACH_MODULE_ROLL")
	skr(waveprefix+"64",1,FastDeltaT,"BEACH_MODULE_PITCH")
	skr(waveprefix+"65",1,FastDeltaT,"BEACH_MODULE_VERT")
	skr(waveprefix+"66",1,FastDeltaT,"BEACH_MODULE_LONG")
	skr(waveprefix+"67",1,FastDeltaT,"BEACH_MODULE_TRAN")
	skr(waveprefix+"68",1,FastDeltaT,"WAVERIDER")

End//INLSenameScale


//68 channels
Function INLSLoadFile2(fname,scale)
	String fname
	Variable scale
	loadGenericSCLFileSP4BHBF(fname)
	if(scale == 1)
		INLSRenameScale2("wave")
	endif
End//INLSLoadFile

//68 channels
Function INLSRenameScale2(waveprefix)
	String waveprefix
	Variable FastSampleRate = 200
	Variable FastDeltaT = 1/FastSampleRate

	skr(waveprefix+"0",1,FastDeltaT,"LONG_BENDING")
	skr(waveprefix+"1",1,FastDeltaT,"TRANS_BENDING")
	skr(waveprefix+"2",1,FastDeltaT,"VERTICAL_SHEAR")
	skr(waveprefix+"3",1,FastDeltaT,"TORSION")
	skr(waveprefix+"4",1,FastDeltaT,"PATCH_7_5LONG")
	skr(waveprefix+"5",1,FastDeltaT,"PATCH_8_5_LONG")
	skr(waveprefix+"6",1,FastDeltaT,"PATCH_8_0_TRANS")
	skr(waveprefix+"7",1,FastDeltaT,"PATCH_7_5_TRANS")
	skr(waveprefix+"8",1,FastDeltaT,"WAVE_SLAP_2FT_UP")
	skr(waveprefix+"9",1,FastDeltaT,"WAVE_SLAP_3FT_UP")
	skr(waveprefix+"10",1,FastDeltaT,"TUG_PUSH_8")
	skr(waveprefix+"11",1,FastDeltaT,"VERTICAL_SHEAR_FR_0")
	skr(waveprefix+"12",1,FastDeltaT,"VER_64IN_STBD")
	skr(waveprefix+"13",1,FastDeltaT,"DEG45_64IN_STBD")
	skr(waveprefix+"14",1,FastDeltaT,"HOR_64IN_STBD")
	skr(waveprefix+"15",1,FastDeltaT,"VERT_48IN_STBD")
	skr(waveprefix+"16",1,FastDeltaT,"DEG45_48IN_STBD")
	skr(waveprefix+"17",1,FastDeltaT,"HOR_48IN_STBD")
	skr(waveprefix+"18",1,FastDeltaT,"VERT_32IN_STBD")
	skr(waveprefix+"19",1,FastDeltaT,"DEG45_32IN_STBD")
	skr(waveprefix+"20",1,FastDeltaT,"HOR_32IN_STBD")
	skr(waveprefix+"21",1,FastDeltaT,"VERT_32IN_PORT")
	skr(waveprefix+"22",1,FastDeltaT,"DEG45_32IN_PORT")
	skr(waveprefix+"23",1,FastDeltaT,"HOR_32_IN_PORT")
	skr(waveprefix+"24",1,FastDeltaT,"VERT_48IN_PORT")
	skr(waveprefix+"25",1,FastDeltaT,"DEG45_48IN_PORT")
	skr(waveprefix+"26",1,FastDeltaT,"HOR_48IN_PORT")
	skr(waveprefix+"27",1,FastDeltaT,"VER_64IN_PORT")
	skr(waveprefix+"28",1,FastDeltaT,"DEG45_64IN_PORT")
	skr(waveprefix+"29",1,FastDeltaT,"HOR_64IN_PORT")
	skr(waveprefix+"30",1,FastDeltaT,"FLEX_CNR_LONG_STBD")
	skr(waveprefix+"31",1,FastDeltaT,"FLEX_CNR_DEG45_STBD")
	skr(waveprefix+"32",1,FastDeltaT,"FLEX_CNR_TRANS_STBD")
	skr(waveprefix+"33",1,FastDeltaT,"FLEX_3IN_LONG_STBD")
	skr(waveprefix+"34",1,FastDeltaT,"FLEX_3IN_DEG45_STBD")
	skr(waveprefix+"35",1,FastDeltaT,"FLEX_3IN_TRANS_STBD")
	skr(waveprefix+"36",1,FastDeltaT,"FLEX_CNR_LONG_PORT")
	skr(waveprefix+"37",1,FastDeltaT,"FLEX_CNR_DEG45_PORT")
	skr(waveprefix+"38",1,FastDeltaT,"FLEX_CNR_TRANS_PORT")
	skr(waveprefix+"39",1,FastDeltaT,"FLEX_3IN_LONG_PORT")
	skr(waveprefix+"40",1,FastDeltaT,"FLEX_3IN_DEG45_PORT")
	skr(waveprefix+"41",1,FastDeltaT,"FLEX_3IN_TRANS_PORT")
	skr(waveprefix+"42",1,FastDeltaT,"FLEXOR_PORT_FWD_1")
	skr(waveprefix+"43",1,FastDeltaT,"FLEXOR_PORT_FWD_2")
	skr(waveprefix+"44",1,FastDeltaT,"FLEXOR_STBD_FWD_1")
	skr(waveprefix+"45",1,FastDeltaT,"FLEXOR_STBD_FWD_2")
	skr(waveprefix+"46",1,FastDeltaT,"FLEXOR_PORT_AFT_1")
	skr(waveprefix+"47",1,FastDeltaT,"FLEXOR_PORT_AFT_2")
	skr(waveprefix+"48",1,FastDeltaT,"FLEXOR_STBD_AFT_1")
	skr(waveprefix+"49",1,FastDeltaT,"FLEXOR_STBD_AFT_2")
	skr(waveprefix+"50",1,FastDeltaT,"POWER_MODULE_ROLL")
	skr(waveprefix+"51",1,FastDeltaT,"POWER_MODULE_PITCH")
	skr(waveprefix+"52",1,FastDeltaT,"POWER_MODULE_VERT")
	skr(waveprefix+"53",1,FastDeltaT,"POWER_MODULE_LONG")
	skr(waveprefix+"54",1,FastDeltaT,"POWER_MODULE_TRAN")
	skr(waveprefix+"55",1,FastDeltaT,"PILOT_HOUSE_VERT")
	skr(waveprefix+"56",1,FastDeltaT,"PILOT_HOUSE_LONG")
	skr(waveprefix+"57",1,FastDeltaT,"PILOT_HOUSE_TRAN")
	skr(waveprefix+"58",1,FastDeltaT,"INTER_MODULE_ROLL")
	skr(waveprefix+"59",1,FastDeltaT,"INTER_MODULE_PITCH")
	skr(waveprefix+"60",1,FastDeltaT,"INTER_MODULE_VERT")
	skr(waveprefix+"61",1,FastDeltaT,"INTER_MODULE_LONG")
	skr(waveprefix+"62",1,FastDeltaT,"INTER_MODULE_TRAN")
	skr(waveprefix+"63",1,FastDeltaT,"BEACH_MODULE_ROLL")
	skr(waveprefix+"64",1,FastDeltaT,"BEACH_MODULE_PITCH")
	skr(waveprefix+"65",1,FastDeltaT,"BEACH_MODULE_VERT")
	skr(waveprefix+"66",1,FastDeltaT,"BEACH_MODULE_LONG")
	skr(waveprefix+"67",1,FastDeltaT,"BEACH_MODULE_TRAN")
	//skr(waveprefix+"68",1,FastDeltaT,"WAVERIDER")

End//INLSenameScale














//42 channels
Function INLSLoadFile3(fname,scale)
	String fname
	Variable scale
	loadGenericSCLFileSP4BHBF(fname)
	if(scale == 1)
		INLSRenameScale3("wave")
	endif
End//INLSLoadFile

//42 channels
Function INLSRenameScale3(waveprefix)
	String waveprefix
	Variable FastSampleRate = 200
	Variable FastDeltaT = 1/FastSampleRate

	skr(waveprefix+"0",1,FastDeltaT,"LONG_BENDING")
	skr(waveprefix+"1",1,FastDeltaT,"TRANS_BENDING")
	skr(waveprefix+"2",1,FastDeltaT,"VERTICAL_SHEAR")
	skr(waveprefix+"3",1,FastDeltaT,"TORSION")
	skr(waveprefix+"4",1,FastDeltaT,"PATCH_7_5LONG")
	skr(waveprefix+"5",1,FastDeltaT,"PATCH_8_5_LONG")
	skr(waveprefix+"6",1,FastDeltaT,"PATCH_8_0_TRANS")
	skr(waveprefix+"7",1,FastDeltaT,"PATCH_7_5_TRANS")
	skr(waveprefix+"8",1,FastDeltaT,"WAVE_SLAP_2FT_UP")
	skr(waveprefix+"9",1,FastDeltaT,"WAVE_SLAP_3FT_UP")
	skr(waveprefix+"10",1,FastDeltaT,"TUG_PUSH_8")
	skr(waveprefix+"11",1,FastDeltaT,"VERTICAL_SHEAR_FR_0")
	skr(waveprefix+"12",1,FastDeltaT,"VER_64IN_STBD")
	skr(waveprefix+"13",1,FastDeltaT,"DEG45_64IN_STBD")
	skr(waveprefix+"14",1,FastDeltaT,"HOR_64IN_STBD")
	skr(waveprefix+"15",1,FastDeltaT,"VERT_48IN_STBD")
	skr(waveprefix+"16",1,FastDeltaT,"DEG45_48IN_STBD")
	skr(waveprefix+"17",1,FastDeltaT,"HOR_48IN_STBD")
	skr(waveprefix+"18",1,FastDeltaT,"VERT_32IN_STBD")
	skr(waveprefix+"19",1,FastDeltaT,"DEG45_32IN_STBD")
	skr(waveprefix+"20",1,FastDeltaT,"HOR_32IN_STBD")
	skr(waveprefix+"21",1,FastDeltaT,"VERT_32IN_PORT")
	skr(waveprefix+"22",1,FastDeltaT,"DEG45_32IN_PORT")
	skr(waveprefix+"23",1,FastDeltaT,"HOR_32_IN_PORT")
	skr(waveprefix+"24",1,FastDeltaT,"VERT_48IN_PORT")
	skr(waveprefix+"25",1,FastDeltaT,"DEG45_48IN_PORT")
	skr(waveprefix+"26",1,FastDeltaT,"HOR_48IN_PORT")
	skr(waveprefix+"27",1,FastDeltaT,"VER_64IN_PORT")
	skr(waveprefix+"28",1,FastDeltaT,"DEG45_64IN_PORT")
	skr(waveprefix+"29",1,FastDeltaT,"HOR_64IN_PORT")
	skr(waveprefix+"30",1,FastDeltaT,"FLEX_CNR_LONG_STBD")
	skr(waveprefix+"31",1,FastDeltaT,"FLEX_CNR_DEG45_STBD")
	skr(waveprefix+"32",1,FastDeltaT,"FLEX_CNR_TRANS_STBD")
	skr(waveprefix+"33",1,FastDeltaT,"FLEX_3IN_LONG_STBD")
	skr(waveprefix+"34",1,FastDeltaT,"FLEX_3IN_DEG45_STBD")
	skr(waveprefix+"35",1,FastDeltaT,"FLEX_3IN_TRANS_STBD")
	skr(waveprefix+"36",1,FastDeltaT,"FLEX_CNR_LONG_PORT")
	skr(waveprefix+"37",1,FastDeltaT,"FLEX_CNR_DEG45_PORT")
	skr(waveprefix+"38",1,FastDeltaT,"FLEX_CNR_TRANS_PORT")
	skr(waveprefix+"39",1,FastDeltaT,"FLEX_3IN_LONG_PORT")
	skr(waveprefix+"40",1,FastDeltaT,"FLEX_3IN_DEG45_PORT")
	skr(waveprefix+"41",1,FastDeltaT,"FLEX_3IN_TRANS_PORT")


End//INLSenameScale










